## MMCellInfoGsm MMCellInfoGsm — Helper object to report GSM cell info |

## Functions

const gchar * | mm_cell_info_gsm_get_operator_id ()
const gchar * | mm_cell_info_gsm_get_lac ()
const gchar * | mm_cell_info_gsm_get_ci ()
guint | mm_cell_info_gsm_get_timing_advance ()
guint | mm_cell_info_gsm_get_arfcn ()
const gchar * | mm_cell_info_gsm_get_base_station_id ()
guint | mm_cell_info_gsm_get_rx_level ()

## Types and Values

struct | MMCellInfoGsm

## Object Hierarchy

        GObject
        ╰── MMCellInfo
            ╰── MMCellInfoGsm

## Description

The MMCellInfoGsm is an object used to report GSM cell information.

The object inherits from the generic MMCellInfo.

## Functions

### mm_cell_info_gsm_get_operator_id ()

    const gchar *
    mm_cell_info_gsm_get_operator_id (MMCellInfoGsm *self);

Get the PLMN MCC/MNC.

#### Parameters

self | a MMCellInfoGsm. |

#### Returns

the MCCMNC, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_gsm_get_lac ()

    const gchar *
    mm_cell_info_gsm_get_lac (MMCellInfoGsm *self);

Get the two-byte Location Area Code of the base station.

Encoded in upper-case hexadecimal format without leading zeros, as specified in 3GPP TS 27.007.

#### Parameters

self | a MMCellInfoGsm. |

#### Returns

the MCCMNC, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_gsm_get_ci ()

    const gchar *
    mm_cell_info_gsm_get_ci (MMCellInfoGsm *self);

Get the two- or four-byte Cell Identifier.

Encoded in upper-case hexadecimal format without leading zeros, as specified in 3GPP TS 27.007.

#### Parameters

self | a MMCellInfoGsm. |

#### Returns

the MCCMNC, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_gsm_get_timing_advance ()

    guint
    mm_cell_info_gsm_get_timing_advance (MMCellInfoGsm *self);

Get the measured delay (in bit periods) of an access burst transmission on the RACH or PRACH to the expected signal from a mobile station at zero distance under static channel conditions.

#### Parameters

self | a MMCellInfoGsm. |

#### Returns

the timing advance, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_gsm_get_arfcn ()

    guint
    mm_cell_info_gsm_get_arfcn (MMCellInfoGsm *self);

Get the absolute RF channel number.

#### Parameters

self | a MMCellInfoGsm. |

#### Returns

the ARFCN, or `G_MAXUINT` if not available.

Since: 1.20

### mm_cell_info_gsm_get_base_station_id ()

    const gchar *
    mm_cell_info_gsm_get_base_station_id (MMCellInfoGsm *self);

Get the GSM base station id, in upper-case hexadecimal format without leading zeros. E.g. "3F".

#### Parameters

self | a MMCellInfoGsm. |

#### Returns

the GSM base station id, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_gsm_get_rx_level ()

    guint
    mm_cell_info_gsm_get_rx_level (MMCellInfoGsm *self);

Get the serving cell RX measurement.

#### Parameters

self | a MMCellInfoGsm. |

#### Returns

the rx level, or `G_MAXUINT` if not available.

Since: 1.20

## Types and Values

### struct MMCellInfoGsm

    struct MMCellInfoGsm;

The MMCellInfoGsm structure contains private data and should only be accessed using the provided API.